## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 2dd813432d5c832704077c4555f3d0e459e438c9
%global date 20250110
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rpmdistro-repoquery
Version:        0^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Tool to easily do repository queries for different distributions using DNF

License:        MIT
URL:            https://pagure.io/%{name}
Source:         %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       distribution-gpg-keys
%if 0%{?fedora} >= 41 || 0%{?rhel} >= 11
Requires:       dnf5
%else
Requires:       dnf
%endif

%description
This tool utilizes DNF to let you query across several RPM-based Linux
distributions.

Currently, the tool supports the following distributions:

* Fedora
* Mageia
* openSUSE Leap
* openSUSE Tumbleweed
* CentOS (with EPEL)
* CentOS Stream (with EPEL and Hyperscale)
* Red Hat Enterprise Linux Universal Base Image (RHEL UBI)
* SUSE Linux Enterprise Base Container Image (SLE BCI)


%prep
%autosetup -p1 -n %{name}-%{shortcommit}


%build


%install
mkdir -p %{buildroot}%{_bindir}
install -p rpmdistro-repoquery %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr distros %{buildroot}%{_datadir}/%{name}/


%files
%license LICENSE
%doc README.md
%{_bindir}/rpmdistro-repoquery
%{_datadir}/%{name}


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0^20250110git2dd8134-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 10 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20250110git2dd8134-3
- RHEL 11 also uses dnf5

* Fri Jan 10 2025 Evan Goode <mail@evangoo.de> - 0^20250110git2dd8134-2
- Depend on dnf5 in Fedora 41+

* Fri Jan 10 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20250110git2dd8134-1
- Update to snapshot from 20250110; Fixes: RHBZ#2328552

* Fri Nov 22 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20241122git5c26eb4-2
- Explicitly require dnf4 for now

* Fri Nov 22 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20241122git5c26eb4-1
- Update to snapshot from 20241122

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20231102git539d4c0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20231102git539d4c0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0^20231102git539d4c0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 02 2023 Michel Lind <salimma@fedoraproject.org> - 0^20231102git539d4c0-1
- Update to snapshot from 20231102
- Add AlmaLinux support

* Sun Aug 20 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0^20230819git18ae234-1
- Update to snapshot from 20230819

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230612gitcf75cee-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230612gitcf75cee-1
- Update to snapshot from 20230612
- Add EPEL source repos
- Also refactor to deduplicate the repo files
- Add Amazon Linux configuration (2023+)
- Add CentOS extras repos

* Wed Feb 01 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230201gita79b3c3-1
- Repo definitions now split into individual files
- simplified usage; either pass the distro name or the path to the distro's
  repos
- rpmdistro-gendnfconf no longer needed for Mageia

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0^20230112git6b89e56-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230112git6b89e56-1
- Switch Hyperscale source repos to the (corrected) metalinks

* Thu Jan 12 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20230112gitae296f4-1
- Update to snapshot from 20230112
- adds Hyperscale repos for CentOS Stream legacy (8) and 9

* Thu Nov 10 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0^20220419git2aff449-1
- Initial Fedora package
## END: Generated by rpmautospec
